<?php 
require_once('nusoap/nusoap.php');

ini_set('display_errors', true); 
ini_set('error_reporting', E_ALL); //So all errors are reported
ini_set('default_socket_timeout', 5); //Socket time out is 5 seconds

try {
    $now = time();
    $xml_args["creds"]["consumerid"] = 'YOUR_CONSUMER_ID'; 
    $xml_args["creds"]["userName"] = 'YOUR_USERNAME'; 
    $xml_args["creds"]["password"] = base64_encode(md5('YOUR_PASSWORD', true)); 
    $xml_args["creds"]["adminDomain"] = 'admin.pressero.com'; 
    $xml_args["creds"]["SubscriberID"] = 'YOUR_SUBSCRIBER_ID';
    $xml_args["beginDate"] = date('Y-m-d\TH:m:s', mktime(0,0,0,1,1,2013)); //2013-01-01T00:00:00 /!\ SHOULD BE A GMT DATE
    $xml_args["endDate"] = date('Y-m-d\TH:m:s'); //Now
    $xml_args["maxRecords"] = 1000;

    // Create the SoapClient instance 
    $client = new nusoap_client("http://platform.pressero.com/services/admin.asmx?WSDL", true); 
    
    // Call getOrderItemList function 
    $result = $client->call('getOrderItemList', array($xml_args)); 
} catch (Exception $e) {
    //  Capture SOAP exception
    $result = $e;  
}
?>

<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=US-ASCII">
        <title>test pressero soap connection</title>
    </head>
    <body>
       <?php var_dump($result); ?>
    </body>
</html>
